package com.huatek.busi.task.cable;

import com.huatek.busi.task.base.AbstractBusiTaskExecutor;
import com.huatek.busi.task.cable.part.CableCwzzTask;
import com.huatek.busi.task.transformer.part.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDate;

/**
 * 电缆每日定时任务统计
 * 
 * @author anker_cheng
 * @date 2019/10/28
 */
@Slf4j
@Component("cableDailyTask")
public class CableDailyTask extends AbstractBusiTaskExecutor {
    @Autowired
    private CableCwzzTask cableCwzzTask;

    @Override
    public void execute() throws Exception {
        super.execute();
    }

    @Override
    public void execute(LocalDate day) {
        log.info("{} start...", day);
        // 新增测温装置
        cableCwzzTask.execute(day);
        log.info("{} end!", day);
    }
}